// -*- mode: c++ -*-
#include "Kaleidoscope.h"

#include "macros.h"

#include "power-management.h"

#include "combos.h"

#include "keymap-wrapper.h"

#include "color-themes.h"
//#include "color-picker.h"

/* plugins */
#include "kaleidoscope/plugin/EEPROM-Settings.h"
#include "kaleidoscope/plugin/FocusSerial.h"
#include "kaleidoscope/plugin/MouseKeys.h"
#include "kaleidoscope/plugin/LEDEffect-BootGreeting.h"
#include "kaleidoscope/plugin/HardwareTestMode.h"

KALEIDOSCOPE_INIT_PLUGINS(
  EEPROMSettings,

  Focus,
  FocusSettingsCommand,
  FocusEEPROMCommand,

  BootGreetingEffect,

  HardwareTestMode,

  LEDControl,
  DakkarColorDark, DakkarColorBright,
  //theColorPicker,

  Macros,
  MouseKeys,
  HostPowerManagement,
  MagicCombo,
  USBQuirks
);

void setup() {
  Kaleidoscope.setup();
  DakkarColorDark.activate();
}

void loop() {
  Kaleidoscope.loop();
}
